commit 4e00be942cb32206efa44ba823fb1f3bdd5ce83e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jun 12 12:11:49 2014 -0700

    Build 1.8.15.
    
    Change-Id: Ic93910a0090879461a285ab793367b2e9c786e54

commit 6d29becdcd80abc4bcbd9db20d542c596b6cce11
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 11 10:51:21 2014 +0200

    Revert "Revert "Fix the fuzz failure reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8940""
    
    This reverts commit c34a63b29e3527a7951d7f49a67113e700b358a5.
    
    Revert of commit c34a63b29e3527a7951d7f49a67113e700b358a5 reintroduced the fuzz failure (as one could expect).
    Instead let's do the real fix...
    
    Bug: 8940
    Change-Id: I184b8be858507afa26a229bf4860e3a0d4e01c60
    Reviewed-on: https://code.wireshark.org/review/2134
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 83ca675f54c6f106ae6edc9fa4e52e3dcaa63927
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jun 9 23:07:36 2014 -0400

    Update info re Bug # 9991: '-F libpcap' (not '-F pcap') is used in Wireshark-1.8.
    
    Change-Id: I9798f90cc96c725ebf89e7339c76497ae597c6ee
    Reviewed-on: https://code.wireshark.org/review/2093
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit ebaeacd8e9e7e1d14ec9d1f8e966ef2d442055cc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 9 15:32:34 2014 -0700

    Release note updates for 1.8.15.
    
    Change-Id: I77dd5ea9c37c7ffc2f75efe9bfe4cdc0bede3130
    Reviewed-on: https://code.wireshark.org/review/2090
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit aa50774d3f2e3ea98021a7621cf01e7d6f93a01f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 9 11:26:45 2014 +0200

    Fix a typo in release notes
    
    Change-Id: Icd45019f257c07482ba3a510b2a66e75e634e55e
    Reviewed-on: https://code.wireshark.org/review/2057
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ac2b854e27cc8d37ec298d97c08d146e70bebf46
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 8 22:46:45 2014 +0200

    IEEE 80211: fix dissection of HT Capabilities
    
    Bug: 10166
    Change-Id: Iafe789968bd5b9a6e593b682f8d42ba42db5fce9
    Reviewed-on: https://code.wireshark.org/review/2046
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 89960510e30b9b96a0d0b84619df099fd8a707f1)
    Reviewed-on: https://code.wireshark.org/review/2056
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit adc0d9fb53b79b1451848fc23d222c24341ba43c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 8 08:11:56 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-06-08]
    
    Change-Id: I3fc4cdc2f43dfd07075af0a3cb00d26322626295
    Reviewed-on: https://code.wireshark.org/review/2039
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit c34a63b29e3527a7951d7f49a67113e700b358a5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jun 7 10:28:23 2014 +0200

    Revert "Fix the fuzz failure reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8940"
    
    While the bugfix makes sense, it requires a huge amount of work to get the messages decoded again (backport of gae61fe0 and ge8c305f; see http://ask.wireshark.org/questions/33502/why-cannot-fully-decode-nas-field-on-s1ap-protocol).
    As I do not feel courageous enough to backport everything, let's go back to the old code for this soon to be dead branch.
    
    This reverts commit 9f46f19b276ed3b166ef7931b971caa7c4eaa082.
    
    Change-Id: I3251044d0ed7607badce3679a1af89d15e00e458
    Reviewed-on: https://code.wireshark.org/review/2020
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0e8a2bb22c2ca6e7dcfbf461ee5a063e15decebc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 7 12:00:31 2014 -0700

    PEEKREMOTE packets don't appear to have Atheros padding.
    
    Call the without-Atheros-padding dissector for the payload.
    
    Fixes bug 10139.
    
    Change-Id: I3b5dd25953113fe30b9278e4533561933304ae5b
    Reviewed-on: https://code.wireshark.org/review/2030
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 348942c0f0f240ddca469c016d6f0698e47e99c8)
    Reviewed-on: https://code.wireshark.org/review/2031

commit b8e54bce21e7376a4e7639d47814d2d322012be4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 7 10:44:17 2014 -0700

    Only nuke the startup item once we've installed the launch daemon.
    
    That way, if we crash in the middle, there's still something installed
    that will try to set the permissions on the BPF devices.
    
    Change-Id: Ie0c32f9eaca08bdbb359d07e47f20c664bc66411
    Reviewed-on: https://code.wireshark.org/review/2023
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 39ca18d71b85d0b99c0fd3c5edab48fa217d7d34)
    Reviewed-on: https://code.wireshark.org/review/2024
    (cherry picked from commit 9cf44c19d00e1072e28e353a4c8fcdd22e01e554)
    Reviewed-on: https://code.wireshark.org/review/2025
    (cherry picked from commit 9afa5d6166790661ddc5b44e1e8cb0c2f18fa83e)
    Reviewed-on: https://code.wireshark.org/review/2026

commit ec607cd614911a51d1fe5be87b3d47ea75d6e3c7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 6 23:41:51 2014 -0700

    When installing the launch daemon, get rid of the old startup item.
    
    Only one is necessary; get rid of the startup item.
    
    Change-Id: I0bd2dabb3fc286ccd0e6634bc112e20602624c86
    Reviewed-on: https://code.wireshark.org/review/2016
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit b319a67bfb23a93a7f15076a94be3fe6adb9983d)
    Reviewed-on: https://code.wireshark.org/review/2017
    (cherry picked from commit 003746cf120366bb8be4764506eda1c1fdb78504)
    Reviewed-on: https://code.wireshark.org/review/2018
    (cherry picked from commit 648766952bf188c3a77c2482d25041694a0dd423)
    Reviewed-on: https://code.wireshark.org/review/2019

commit 97898a24597d752ac35a22f678db2e2ed9f6f0e9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 6 12:14:27 2014 -0700

    Switch to a launch daemon for ChmodBPF.
    
    "Ah finally blew that varmint to Kingdom Come!"
    
    Change-Id: Iedfef3812d9dca2e2af5aa18ebaeaa7a3510bdeb
    Reviewed-on: https://code.wireshark.org/review/2008
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4ee4fc1154f8758c2a2bc3d64c7e2aa79fd217cd
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 4 23:55:06 2014 -0400

    tshark.c: 'tshark -F libpcap -w ...' should create a libpcap (not pcapng) file; fixes Bug #9991.
    
    Change-Id: I98d6c7c8cb9721ccbfb0220ae3f8550df2e49a1d
    Reviewed-on: https://code.wireshark.org/review/1970
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit be509e29c1b2a6b17c53a133794d0c779bd79f10
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 4 23:42:11 2014 -0400

    tshark.c: Change "Live captures can only be saved in libpcap format" to "[...] in libpcap or pcapng format"
    
    Change-Id: I4f83995ec6b9fcb98dcbe332d0fa42b96edbddc9
    Reviewed-on: https://code.wireshark.org/review/1969
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 6cfa2b66301b1c87c3e3702ddedf373447d20296
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 1 08:12:04 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-06-01]
    
    Change-Id: Iaf6420aaedd0ee909e4c86f39eab785e5faec700
    Reviewed-on: https://code.wireshark.org/review/1910
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6d2796f2784c5bb325b8740cb2a3a2936eb32ba5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 25 08:11:25 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-05-25]
    
    Change-Id: I87588b512a643a5c560a8d71a30a7f36db2c04c0
    Reviewed-on: https://code.wireshark.org/review/1792
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4a916546202f8edfa4e8d4b5c4fd5e872246514d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 18 08:09:23 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-05-18]
    
    Change-Id: I77274e7a1ab31a097666a0e2d122bf8db88df5c6
    Reviewed-on: https://code.wireshark.org/review/1681
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 378455665d078759d8a5eaf961b18885e4ba7584
Author: Gerald Combs <gerald@zing.org>
Date:   Sun May 11 09:47:09 2014 -0700

    Don't build update-sminmpec by default when using CMake.
    
    Change-Id: Iccce783eeef23a90ca23900cf18e2d3d2620c767
    Reviewed-on: https://code.wireshark.org/review/1592
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 44d83c2f4f9256f7436e43dee940c922d864d57d)
    Reviewed-on: https://code.wireshark.org/review/1593
    (cherry picked from commit ccce29a936d15dfdfea4f81df90f99150b189ad9)
    Reviewed-on: https://code.wireshark.org/review/1594

commit c143130a73d706fad16807f3bdb54895eaa0a19a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 11 08:09:31 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-05-11]
    
    Change-Id: Ia71c9eb1ad0290702c8b0701e43fafb8bfcf1d67
    Reviewed-on: https://code.wireshark.org/review/1591
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 78563c2bcd967093cfc37a27534c02aa37a1019d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon May 5 11:50:24 2014 -0700

    Be less aggressive about rebuilding sminmpec.c.
    
    Instead of forcing developers to generate sminmpec.c (which will have
    different results depending on the presence or absence of a working
    Internet connection) add sminmpec.c back to the repository. I'll add
    it to the weekly update-numbers script so that it will be updated at
    the same time as manuf, services, enterprise-numbers, and usb.c.
    
    Change the Autotools, CMake, and Nmake sminmpec.c target name to
    "update-sminmpec".
    
    Remove the mtime check from make-sminmpec.pl. Update enterprise-numbers
    and sminmpec.c while we're here.
    
    Tested with an in-tree Autotools build and an out-of-tree CMake build.
    
    Change-Id: Iecc332ce2731e3e98ab0205a56c78807e599a026
    Reviewed-on: https://code.wireshark.org/review/1516
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 3f247a5cee61d8f2139ade94cd9840b100337b05 with manual fixups)
    Reviewed-on: https://code.wireshark.org/review/1577
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 46df3d691588feddf348f987e3419af3d5f34e42
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu May 8 12:38:34 2014 +0200

    TCAP: set a fence on info column after calling sub dissector
    
    Bug: 10091
    Change-Id: I7af57345e31209fb4dd02cdab7960c44c69dc0a5
    Reviewed-on: https://code.wireshark.org/review/1555
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    
    Conflicts:
    	asn1/tcap/packet-tcap-template.c
    	epan/dissectors/packet-tcap.c
    
    (cherry picked from commit 54be3eaaec057c44a4b42e4cf538cd07ee247bce)
    
    Change-Id: I4b2f1b1195cbbd80067af84b58ebdd19b7b306b3
    Reviewed-on: https://code.wireshark.org/review/1559
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 8ad08b956dcca3c490c5f6de70f5cdb5e35b30ce
Author: Jakub Zawadzki <darkjames@darkjames.pl>
Date:   Sun May 4 23:06:54 2014 +0200

    Fix possible buffer overflow in col_append_sep_fstr()
    
    After appending separator it might happen that len > max_len, in such case
    g_vsnprintf() will overflow the col_buf buffer.
    
    Change-Id: Ic5ff49d30e30509e835165c4cc7e72e31f92fd5f
    Reviewed-on: https://code.wireshark.org/review/1493
    Reviewed-by: Evan Huus <eapache@gmail.com>
    (cherry picked from commit 984e52244f08d344a6979bf1405b3d730a388702)
    Reviewed-on: https://code.wireshark.org/review/1513

commit d0728583eb04eae01031b6a5f5de2d1eeab00561
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 4 08:09:20 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-05-04]
    
    Change-Id: I1396634ab367b84f7d3ebc0846cc5db537c7287d
    Reviewed-on: https://code.wireshark.org/review/1490
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7c13c4fba8160289451f69d3cf6105ba4595ae9b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Apr 30 13:20:42 2014 -0400

    Copy make-sminmpec.pl from master.
    
    The previous cherry-pick didn't have the desired effect.
    
    Change-Id: If2bf6ae59eb374db393afc73d2bf17eb0874ced7
    Reviewed-on: https://code.wireshark.org/review/1444
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e3b96d7227bc7a3fb719f1bb8e055f7ed840caf0
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Apr 27 13:26:17 2014 -0700

    make-sminmpec.pl fixups.
    
    Enforce a minimum number of entries and do our work in the epan
    directory.
    
    Change-Id: I69cc6ae3255b23706a2e67db890a9718e10568b2
    Reviewed-on: https://code.wireshark.org/review/1398
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    (cherry picked from commit 002cefc721e5fe01ba6ecb9ec7261f549f4f1459)
    Reviewed-on: https://code.wireshark.org/review/1442

commit 2d85bc58e924d9dc2cf23d04c958ae6e78b48a70
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Apr 27 15:33:13 2014 -0400

    Remove support for SHIM6 on protocol 61
    
    bug:9995
    Change-Id: I3c6ff189c4f9cca83b18ea2f057a1bca0c6809c4
    Reviewed-on: https://code.wireshark.org/review/1391
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8d2895f423c6fe267ebe67fe8f8f3f6a9abf130f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 27 08:10:45 2014 -0700

    [Automatic manuf, services and enterprise-numbers update for 2014-04-27]
    
    Change-Id: Ic6e99a88414d7d7901b923b19491c4ef3905dfa4
    Reviewed-on: https://code.wireshark.org/review/1386
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 9aae3c5bd0f2522d6c9bebec61066f84e54e71ec
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Wed Apr 23 23:59:19 2014 +0200

    Adding two well known OAM related multicast address ranges.
    
    Change-Id: I8fb840e7422b5fe7cd3072d8332de659598ebd3d
    Reviewed-on: https://code.wireshark.org/review/1313
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 560b5d9e0c9e4a2ad3e4e930f8ed9dc5b2966756)
    Reviewed-on: https://code.wireshark.org/review/1332
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>

commit ef4023009c43291d8b83a740ce061af39465b0a7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 25 10:44:11 2014 -0700

    Don't fail if a pcap-NG PB or EPB has caplen > actual len.
    
    We don't fail for other file types; there's no point in failing for
    pcap-NG.  wtap_read() will ensure that caplen <= len.
    
    Fixes bug 10037.
    
    Change-Id: I28908674d5a6ee4bb76e01cd4c7b463fa9d155f6
    Reviewed-on: https://code.wireshark.org/review/1357
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6e7f9df4290da6a99aa89305653cc7794866f256
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Apr 22 12:05:39 2014 -0700

    1.8.14 → 1.8.15.
    
    Change-Id: Ib2d4a6272ce97c6cb0436ec79597fc5889e5579f
    Reviewed-on: https://code.wireshark.org/review/1282
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
